/*  This file is part of the KDE project
    Copyright (C) 2002 Marc Espie   <espie@nerim.net>
    Copyright (C) 2002 Paul Chitescu <paulc-devel@null.ro>
    Copyright (C) 2002 Simon Hausmann <hausmann@kde.org>
    Copyright (C) 2003 Luciano Montanaro <mikelima@cirulla.net>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#ifndef KIO_FTP_H
#define KIO_FTP_H

#include <ftp.h>

namespace KIO
{
    class FtpSlave : public ::Ftp
    {
    public:
        FtpSlave();

        virtual void get( const KURL &url );

        virtual void error( int errid, const QString &text );

        virtual void listEntry( const UDSEntry &entry, bool ready );

        virtual void finished();

    private:
        void getDirectory( const KURL &url );

        void sendDirectoryListingHeader();
        void sendDirectoryListingFooter();

        void sendString( const QString &text );

        KURL m_currentURL;
        bool m_gettingURL : 1;
        bool m_blockFinished : 1;
    };
}

#endif // KIO_FTP_H
/* vim: et sw=4 ts=4
 */
