/*  This file is part of the KDE project
    Copyright (C) 2000 Simon Hausmann <hausmann@kde.org>
    Copyright (C) 2003 Luciano Montanaro <mikelima@cirulla.net>
    Copyright (C) 2001 Dirk Mueller <mueller@kde.org>
    Copyright (C) 2002 Paul Chitescu <Paul.Chitescu@IMC-Group.org>
    Copyright (C) 2005 Fastweb SpA

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#ifndef __kxmlguiclient_h__
#define __kxmlguiclient_h__

#include <qstring.h>
#include <qptrlist.h>
#include <qdom.h>

#include <kaction.h>
#include <assert.h>

class KXMLGUIFactory;

class KXMLGUIClient
{
public:
    KXMLGUIClient() {}
    virtual ~KXMLGUIClient() {}

    void setXMLFile( const QString & ) {}

    KActionCollection *actionCollection() { return &m_collection; }

    void plugActionList( const QString &, const QPtrList<KAction> & ) {}

    void unplugActionList( const QString & ) {}

    void setInstance( KInstance * ) {}

    void setXML( const QString & ) {}

    // Needed to compile kdelibs >= 3.1.2
    KXMLGUIFactory *factory() const { return 0; }
    
    // Needed to compile kdelibs >= 3.1.2
    void insertChildClient(KXMLGUIClient * /* child */) { }
    
    // Needed to compile kdelibs >= 3.1.2
    void removeChildClient(KXMLGUIClient * /* child */) { }

    const QPtrList<KXMLGUIClient> *childClients() { return 0; }
    
private:
    KActionCollection m_collection;
};

#endif
